> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a provisional reservation, holding inventory for a set amount of time before confirming



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json post /tap/v1/holdReservation
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tap/v1/holdReservation:
    post:
      tags:
        - tapapi-controller
      summary: >-
        Create a provisional reservation, holding inventory for a set amount of
        time before confirming
      operationId: holdReservationUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HoldReservationRequest'
        description: holdReservationRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_HoldReservationResponse_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    HoldReservationRequest:
      type: object
      properties:
        dummy:
          type: string
      title: HoldReservationRequest
    ResponseData_HoldReservationResponse_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/HoldReservationResponse'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«HoldReservationResponse»
    HoldReservationResponse:
      type: object
      properties:
        dummy:
          type: string
      title: HoldReservationResponse
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.